# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-JSON-Pointer
Version:        0.01
Release:        alt1_1
Summary:        Perl implementation of JSON Pointer
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/JSON-Pointer/
Source0:        http://www.cpan.org/authors/id/Z/ZI/ZIGOROU/JSON-Pointer-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(B.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Class/Accessor/Lite.pm)
BuildRequires:  perl(Data/Clone.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(JSON.pm)
BuildRequires:  perl(overload.pm)
BuildRequires:  perl(URI/Escape.pm)
# Tests:
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Class/Accessor/Lite.pm) >= 0.05
Requires:       perl(Data/Clone.pm) >= 0.003
Requires:       perl(JSON.pm) >= 2.53
Requires:       perl(URI/Escape.pm) >= 3.31

# Filter under-specified dependencies

Source44: import.info
%filter_from_requires /^^perl\\((Class::Accessor::Lite/d
%filter_from_requires /^Data::Clone/d
%filter_from_requires /^JSON/d
%filter_from_requires /^URI::Escape)\\)$/d

%description
This library is implemented JSON Pointer draft version 9
<http://tools.ietf.org/html/draft-ietf-appsawg-json-pointer-09> and some
useful operators from JSON Patch draft version 10
<http://tools.ietf.org/html/draft-ietf-appsawg-json-patch-10>. JSON Pointer is
available to identify a specified value, and it is similar to XPath. Please
see the both of specifications for details.

%prep
%setup -q -n JSON-Pointer-%{version}
# Remove bundled modules
rm -rf inc/*
sed -i -e '/^inc\//d' MANIFEST

%build
perl Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/*

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1_1
- initial fc import

